package com.iqser.red.service.persistence.management.v1.processor.mapper;

import java.util.List;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import com.iqser.red.service.persistence.management.v1.processor.entity.ComponentMappingEntity;
import com.iqser.red.service.persistence.service.v1.api.shared.model.component.ComponentMappingMetadata;

@Mapper
public interface ComponentMappingEntityMapper {

    ComponentMappingEntityMapper INSTANCE = Mappers.getMapper(ComponentMappingEntityMapper.class);


    ComponentMappingMetadata toComponentMappingMetaData(ComponentMappingEntity componentMappingMetaData);


    List<ComponentMappingMetadata> toComponentMappingMetaDataList(List<ComponentMappingEntity> componentMappingEntities);


    ComponentMappingEntity toComponentMappingEntity(ComponentMappingMetadata componentMappingSummary);


    List<ComponentMappingEntity> toComponentMappingEntityList(List<ComponentMappingMetadata> componentMappingSummary);

}
